%define module_name	ofa
%define module_version	1.2.5.4
%define module_release	alt1

%define kversion	2.6.18
%define krelease	alt10.M41
%define flavour		xen-dom0

%define module_dir /lib/modules/%kversion-%flavour-%krelease

%define _unpackaged_files_terminate_build 1

Summary: Infiniband Driver and ULPs kernel modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132626.10.M41

Url: http://openfabrics.org/
License: Dual: GPL or BSD
Group: System/Kernel and hardware
Patch: ofa_kernel-1.2.5-alt-backport-fixes.patch

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>




ExclusiveOS: Linux
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release
BuildRequires: kernel-source-ofa = %module_version


%description 
Core, HW and ULPs kernel modules

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version
%patch -p1

%build
./configure \
	--kernel-version=%kversion-%flavour-%krelease \
	--kernel-sources=%_usrsrc/linux-%kversion-%flavour-%krelease/ \
	--modules-dir=/lib/modules/%kversion-%flavour-%krelease/openfabrics \
	--with-core-mod --with-ipoib-mod --with-ipoib-cm --with-sdp-mod \
	--with-srp-mod --with-user_mad-mod --with-user_access-mod \
	--with-addr_trans-mod --with-mthca-mod --with-mlx4-mod \
	--with-mlx4_core-mod --with-mlx4_inf-mod \
%ifarch x86_64
	--with-ipath_inf-mod \
%endif
	--with-iser-mod \
	--with-rds-mod --with-madeye-mod --with-vnic-mod --with-cxgb3-mod

%make_build

%install
make install DESTDIR=%buildroot

%post 
%post_kernel_modules %kversion-%flavour-%krelease

%postun 
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir/*

%changelog
* Thu Jun 26 2008 Michail Yakushin <silicium@altlinux.ru> 1.2.5.4-alt1.132626.10.M41
- Build for kernel-image-xen-dom0-2.6.18-alt10.M41.

* Wed Jun 18 2008 Michail Yakushin <silicium@altlinux.ru> 1.2.5.4-alt1
- intial build  

